#!/bin/bash

FICHERO="/var/log/auth.log"

while read -r LINEA ; do
    MENSAJE=$(cat "$FICHERO" | grep failure | tr -s " " | cut -d" " -f7,8 | cut -d";" -f1 | cut -d" " -f2 | sed -n '2p')
    if [[ "$LINEA" == *"$MENSAJE"* ]]; then
        echo "Fallo de Inicio de Sesión. Línea: $LINEA"
    else
        echo "No se encontró ningún inicio de sesión incorrecto"
    fi 
done < "$FICHERO"